mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Serialization.ISerializable A weak reference holds a reference to another object but does not prevent the object from being garbage collected.

Garbage collection is the automatic, background process where unused objects are deallocated from memory. Normally, objects that can still be accessed by the program will not be garbage collected. The WeakReference object provides an exception. The reference from a WeakReference object to another object, the target, is not considered when determining whether that object is ready for garbage collection.

That is, an object is elligible for garbage collection when there are no "strong" references to the object.

When the target of a WeakReference is garbage collected, the Target property of the WeakReference is reset to and the target is no longer accessible to the program.

If the WeakReference is tracking an object's ressurection, the object will still be accessible from the Target property after the object's Finalize method has been called but before the object is cleared from memory.

- Constructor
  The target object object.
  Creates a new WeakReference referencing an object.
  None.
  1.0.5000.0
  2.0.0.0
- Constructor
  The target object.
  Whether to retain the reference to the object after the object's finalizer has been called but before the object has been removed from memory.
  Creates a new WeakReference referencing an object, and optionally tracking the ressurection of the object.
  Accessing an object post-finalization should be done with care.
  1.0.5000.0
  2.0.0.0
- Constructor
  No information available.
  No information available.
  This constructor is for serialization.
  None.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` No information available. No information available. This method is used for serialization. None. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean Gets whether the target has been garbage collected. True if the target has been garbage collected. None. 1.0.5000.0 2.0.0.0
- Property
  System.Object Gets or sets the target object. The target object. The target is potentially elligible for garbage collection although it may be reachable through this property. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean Gets whether this WeakReference is tracking the object's resurrection. True if the WeakReference is tracking the target object's ressurection. None. 1.0.5000.0 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)